body {
    background-color: rgb(220, 220, 220);
    color: black;
}

#headerDiv {
    display: flex;
    flex-direction: row; 
    flex-wrap: wrap;
    max-width: 95%;
    height: auto;
    margin-bottom: 20px;
    padding-bottom: 10px;
}

#logoDiv {
    width:250px;
    left: 10px;
    position: relative;
}

#popLogoImg {
    width: 100%;
    position: relative;
    left: 0%;
    top: 0%;
    display: block;
}

#headerLinkDiv {
    font-size: 80px;
    display: flex;
    align-items: center;
    font-weight: bold;
    font-family: Rockwell;
    margin: auto;
}

#content {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    margin-left: 10px;
}

#textContent {
    font-size: 40px;
    width: 45%;
    font-family: Rockwell;
    animation: slideIn 1s ease-out forwards;
}

#fistDiv {
    width: 40%;
    position: relative;
    left: 8%;
}

#fistImg {
    width: 100%;
    position: relative;
    top: -80px;
    mask-image: 
        linear-gradient(to bottom, transparent, black 25%, black 75%, transparent),
        linear-gradient(to right, transparent, black 25%, black 75%, transparent);
    mask-composite: intersect;
}

#footer {
    margin: auto;
    width: fit-content;
    margin-top: 10px;
    animation: slideIn 1s ease-out forwards;
    font-size: 40px;
    font-family: Rockwell;
    font-weight: bold;
    font-style: italic;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#followUs {
    margin: auto;
}

#footerLinks {
    width: fit-content;
    display: flex;
    margin: auto;
    gap: 80px;
}

.footerImg {
    width: 75px;
    margin-top: 10px;
}

#substackImgFooter {
    width: 100px;
    top: -10%;
    position: relative;
}

#tiktokImg {
    border-radius: 10px;
}

@media (max-width: 1800px) {

    #fistImg {
        top: -60px;
    }
}

@media (max-width: 1400px) {

    #fistImg {
        top: -30px;
    }
}

@media (max-width: 900px) {

    #headerDiv {
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    #headerLinkDiv {
        font-size: 60px;
    }

    #content{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #textContent {
        font-size: 20px;
        justify-content: center;
        align-items: center;
        width: 80%;
    }

    #fistImg {
        top: 10px;
        width: 100%; 
        left: 0;
    }
    
    #fistDiv {
        width: 300px;
        left: 0;
    }
    
    .footerImg {
        width: 50px;
        margin-top: 10px;
    }

    #footerLinks {
        gap: 50px;
    }
    
    #substackImgFooter {
        width: 60px;
    }

    #followUs {
        font-size: 25px;
    }

}

@media (max-width: 500px) {

    #headerLinkDiv {
        font-size: 40px;
    }

    .footerImg {
        width: 30px;
    }

    #substackImgFooter {
        width: 45px;
        top: -15%;
    }

    #footerLinks {
        gap: 20px;
    }

}

@keyframes slideIn {
    0% {
      transform: translateY(100%); /* Start off-screen to the left */
      opacity: 0;                   /* Invisible at start */
    }
    100% {
      transform: translateX(0);     /* Move to its original position */
      opacity: 1;                   /* Fully visible */
    }
  }